Reservation APIs

Create Reservation

post
/demand/v1/process-reservations

Creates a reservation for the given item ID, tenant, reference ID and other parameters. Reservations can be created as either soft reservations or hard reservations based on the Expiry Window property.

Authorizations
X-API-KeystringRequired

To access any of the APIs unless mentioned otherwise will need API Key input for authentication purpose. To get your API Key, please get in touch with OnePint team.

Body
orderTypestringOptional

Specifies the type of an order.

Example: SalesOrder
orderNumberstringOptional

Specifies the number for an order.

Example: orderNumber02111902-02
referenceIdstringOptional

Specifies the reference identifier of the demand.

Example: 02111902-02
reservationIdstringOptional

Specifies the reservation identifier of the demand.

Example: 02111902-02
actionstringOptional

Specifies the name of the action for an order.

Example: adjust
channelstringOptional

Specifies the channel through which the demand is created.

Example: store, mobile, online
demandSegmentstringOptional

Identifies the segment from which demand has come.

Example: B2B_DEMAND
disableCheckATPbooleanOptional
Responses
chevron-right
200

A 200 success code indicates that the reservation was updated successfully.

application/json
successbooleanOptional

Flag indicating if the request is successful.

Example: true
timestampstring · date-timeOptional

Response timestamp.

Example: 2023-01-24T07:02:38.50405788Z
messagestringOptional

Message conveying success, error, warnings, or any other relevant information.

Example: Request completed successfully.
post
/demand/v1/process-reservations

Last updated

Was this helpful?